EDParserInternal::Index Struct Reference

Internal: an index of a EDParser. More...

## Public Member Functions

| Index ()
| constructor More...

## Public Attributes

int | m_levelId
| the font id More...
std::string | m_text
| the text More...
int | m_page
| the page number More...
std::string | m_extra
| extra data More...

## Friends

std::ostream & | operator<< (std::ostream &o, Index const &index)
| operator<< More...

## Detailed Description

Internal: an index of a EDParser.

## Constructor & Destructor Documentation

EDParserInternal::Index::Index | ( |  | ) |

inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Index const & | index
| ) |  |

friend

operator<<

## Member Data Documentation

std::string EDParserInternal::Index::m_extra

extra data

Referenced by EDParser::readIndex().

int EDParserInternal::Index::m_levelId

the font id

Referenced by EDParser::readIndex(), and EDParser::sendIndex().

int EDParserInternal::Index::m_page

the page number

Referenced by EDParser::readIndex(), and EDParser::sendIndex().

std::string EDParserInternal::Index::m_text

the text

Referenced by EDParser::readIndex(), and EDParser::sendIndex().

The documentation for this struct was generated from the following file:

- EDParser.cxx